summaryrefslogtreecommitdiffstats
path: root/source/xap/sane/sane.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/sane/sane.SlackBuild')
-rwxr-xr-xsource/xap/sane/sane.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/source/xap/sane/sane.SlackBuild b/source/xap/sane/sane.SlackBuild
index 3e700ba30..d8e40d7f3 100755
--- a/source/xap/sane/sane.SlackBuild
+++ b/source/xap/sane/sane.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=sane
-BACKVER=1.3.0
+BACKVER=1.3.1
FRONTVER=1.0.14
VERSION=${VERSION:-$BACKVER}
BUILD=${BUILD:-1}
@@ -62,6 +62,9 @@ else
LIBDIRSUFFIX=""
fi
+# GCC 14 "fix":
+SLKCFLAGS="$SLKCFLAGS -Wno-error=implicit-function-declaration"
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-sane
@@ -70,9 +73,9 @@ mkdir -p $TMP $PKG
# First, we'll build the backends
cd $TMP
-rm -rf backends-$BACKVER
-tar xvf $CWD/backends-$BACKVER.tar.?z || exit 1
-cd backends-$BACKVER || exit 1
+rm -rf sane-backends-$BACKVER
+tar xvf $CWD/sane-backends-$BACKVER.tar.?z || exit 1
+cd sane-backends-$BACKVER || exit 1
chown -R root:root .
# Put the SANE_CAP_ALWAYS_SETTABLE definition back until